Submit documents for age verification
curl --request POST \
--url https://api.tuteliq.ai/api/v1/verify/age/submit \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tuteliq.ai/api/v1/verify/age/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tuteliq.ai/api/v1/verify/age/submit"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.tuteliq.ai/api/v1/verify/age/submit")
.post(null)
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://api.tuteliq.ai/api/v1/verify/age/submit")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.tuteliq.ai/api/v1/verify/age/submit");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"verification_id": "<string>",
"status": "verified",
"age_bracket": "<string>",
"is_minor": true,
"liveness": {
"valid": true,
"reason": "<string>"
},
"face_match": {
"matched": true,
"confidence": 123
},
"credits_used": 123,
"audit_receipt": {
"request_id": "<string>",
"timestamp": "<string>",
"signature": "<string>"
}
}Submit documents for age verification
Privacy-first age verification. Returns only age bracket (18+, 13-17, under_13), is_minor status, liveness, and face match. No PII (name, DOB, document number) is returned.
POST
/
api
/
v1
/
verify
/
age
/
submit
Submit documents for age verification
curl --request POST \
--url https://api.tuteliq.ai/api/v1/verify/age/submit \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tuteliq.ai/api/v1/verify/age/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tuteliq.ai/api/v1/verify/age/submit"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.tuteliq.ai/api/v1/verify/age/submit")
.post(null)
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://api.tuteliq.ai/api/v1/verify/age/submit")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.tuteliq.ai/api/v1/verify/age/submit");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"verification_id": "<string>",
"status": "verified",
"age_bracket": "<string>",
"is_minor": true,
"liveness": {
"valid": true,
"reason": "<string>"
},
"face_match": {
"matched": true,
"confidence": 123
},
"credits_used": 123,
"audit_receipt": {
"request_id": "<string>",
"timestamp": "<string>",
"signature": "<string>"
}
}Authorizations
bearerAuthapiKeyHeader
API key as Bearer token
Response
200 - application/json
Default Response
Available options:
verified, failed, needs_review Show child attributes
Show child attributes
Show child attributes
Show child attributes
EU AI Act Art 12 audit receipt — signed proof we processed and immediately destroyed the input. Verifiable out-of-band.
Show child attributes
Show child attributes